### Constructor

# GSSDP Client new_for_address

since: 1.6.0

#### Declaration [src]

    GSSDPClient*
    gssdp_client_new_for_address (
      GInetAddress* addr,
      guint16 port,
      GSSDPUDAVersion uda_version,
      GError** error
    )

#### Description [src]

Creates a GSSDP client with address `addr`. If none is specified, GSSDP will chose the address it deems most suitable.

Available since: 1.6.0

#### Parameters

`addr`

  Type: `GInetAddress`

  An IP address or `NULL` for auto-detection. If you do not care about the address, but want to specify an address family, use Glib.InetAddress.new_any with the appropriate family instead.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`port`

  Type: `guint16`

  The network port to use for M-SEARCH requests or 0 for random.

`uda_version`

  Type: `GSSDPUDAVersion`

  The UDA version this client will adhere to.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSSDPClient`

A new `GSSDPClient` object or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.